Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.iana
Interface IANAObjectIdentifiers

    public interface IANAObjectIdentifiers

Field Summary
`static DERObjectIdentifier` | `hmacMD5`
`static DERObjectIdentifier` | `hmacRIPEMD160`
`static DERObjectIdentifier` | `hmacSHA1`
`static DERObjectIdentifier` | `hmacTIGER`
`static DERObjectIdentifier` | `isakmpOakley`

Field Detail

### isakmpOakley

    static final DERObjectIdentifier isakmpOakley

### hmacMD5

    static final DERObjectIdentifier hmacMD5

### hmacSHA1

    static final DERObjectIdentifier hmacSHA1

### hmacTIGER

    static final DERObjectIdentifier hmacTIGER

### hmacRIPEMD160

    static final DERObjectIdentifier hmacRIPEMD160

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD